Packaging - Bug #35538

Obsolete foreman_docker
09/19/2022 07:02 PM - lan Ballou

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category: RPMs

Target version:

Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/8517

Description

The foreman_docker plugin is no longer active, so we should ensure that no one has it installed. We're purging the old contents of
the plugin in the DB, so it should be gone from the installed plugins as well.

Related issues:
Related to Foreman - Bug #35347: After removing the foreman_docker plugin, fo... Closed

Associated revisions

Revision 79e5457e - 10/18/2022 07:54 AM - Ewoud Kohl van Wijngaarden

Fixes #35538 - Obsolete foreman_docker in foreman

In Foreman 3.3 foreman_docker was removed from packaging® while Foreman
3.5 includes DB migrations to remove the plugin from the database.

[1]: c8cd0c659ff11c8366e30a2ff36e03323626be1e

History

#1 - 09/22/2022 09:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/8517 added

#2 - 10/18/2022 07:52 AM - Evgeni Golov

- Related to Bug #35347: After removing the foreman_docker plugin, foreman log is flooded with huge tracebacks related to "unknown class

DockerRegistry, ignoring” and "unknown class Container, ignoring" added

#3 - 10/18/2022 07:54 AM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#4 - 10/18/2022 08:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|79e5457e353a065ee8994¢c240db9b1293edd0e6b1.

#5 - 11/28/2022 12:21 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
